Bug 1284487 - After recent updates to fedora 23 running a video in gthumb causes return to gdm login
After recent updates to fedora 23 running a video in gthumb causes return to ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 08:21 EST by Bill
Modified: 2016-05-01 22:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-01 22:11:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill 2015-11-23 08:21:25 EST
Description of problem:

Playing any video with gthumb or vlc causes the gnome session to return to the gdm login screen. The problem doesn't occur with totem(videos)


How reproducible:


Steps to Reproduce:
1. Open any video with either gthumb or vlc

Actual results:

gnome shell appears to terminate and the gdm login prompt appears

Expected results:

video plays normally


Additional info:

Problem started after updates yesterday.

abrt shows nothing. 

journalctl shows this:

Nov 24 02:09:36 dell-lt /usr/libexec/gdm-x-session[14957]: (EE) Segmentation fault at address 0x0
Nov 24 02:09:36 dell-lt /usr/libexec/gdm-x-session[14957]: (EE)
Nov 24 02:09:36 dell-lt /usr/libexec/gdm-x-session[14957]: Fatal server error:
Nov 24 02:09:36 dell-lt /usr/libexec/gdm-x-session[14957]: (EE) Caught signal 11 (Segmentation fault). Server aborting
Nov 24 02:09:36 dell-lt /usr/libexec/gdm-x-session[14957]: (EE)
Nov 24 02:09:36 dell-lt /usr/libexec/gdm-x-session[14957]: (EE)
Nov 24 02:09:36 dell-lt /usr/libexec/gdm-x-session[14957]: Please consult the Fedora Project support
Comment 1 Bill 2015-11-23 08:26:34 EST
I just noticed that if I log in using gnome on wayland session then gthumb and vlc work fine. So problem is only happening with gnome on X session.
Comment 2 Bill 2015-11-23 17:59:05 EST
I Have temporarily got rid of the problem by disabling updates-testing and running dnf distro-sync. I will re-enable updates-testing and update all the things that are unlikely to be a problem to try and then determine the problem package.
Comment 3 Bill 2015-11-24 18:53:14 EST
I have all the updates-testing packages re-installed and the problem hasn't come back. However I notice that one package update that was in updates-testing yesterday, seems to have disappeared, namely xorg-x11-drv-intel. My suspicion is that this was causing the problem.

Note You need to log in before you can comment on or make changes to this bug.